Bug 985814 - Review Request: guacamole-client - Server-side Java components that form the Guacamole application
Review Request: guacamole-client - Server-side Java components that form the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 985818
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 06:04 EDT by Simone Caronni
Modified: 2013-08-16 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: guacamole-server-0.8.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 19:29:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
negativo17: needinfo+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2013-07-18 06:04:47 EDT
Spec URL: http://slaanesh.fedorapeople.org/guacamole/guacamole-client.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole/guacamole-client-0.8.2-1.fc19.src.rpm
Description:
Guacamole is an HTML5 remote desktop gateway.

Guacamole provides access to desktop environments using remote desktop protocols
like VNC and RDP. A centralized server acts as a tunnel and proxy, allowing
access to multiple desktops through a web browser.

No browser plugins are needed, and no client software needs to be installed. The
client requires nothing more than a web browser supporting HTML5 and AJAX.

The centralized server is provided by the "guacamole-server" package.

Fedora Account System Username: slaanesh
Comment 1 Simone Caronni 2013-07-18 06:09:14 EDT
Note: this is a package rename. Upstream has merged the following components into one:

guacamole
guacamole-common
guacamole-common-js
guacamole-ext

Here is the details of the upgrade process for the current packages to show that the correct requires/obsoletes are in place:

# yum --enablerepo=temp upgrade
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package guacamole.noarch 0:0.8.1-2.fc19 will be updated
---> Package guacamole.noarch 0:0.8.2-1.fc19 will be obsoleting
---> Package guacamole-common.noarch 0:0.8.0-5.fc19 will be obsoleted
---> Package guacamole-common-js.noarch 0:0.7.1-3.fc19 will be obsoleted
---> Package guacamole-ext.noarch 0:0.8.0-4.fc19 will be obsoleted
---> Package guacd.x86_64 0:0.7.0-7.fc19 will be updated
---> Package guacd.x86_64 0:0.8.2-1.fc19 will be an update
---> Package libguac.x86_64 0:0.7.0-5.fc19 will be updated
---> Package libguac.x86_64 0:0.8.2-1.fc19 will be an update
---> Package libguac-client-rdp.x86_64 0:0.7.4-3.fc19 will be updated
---> Package libguac-client-rdp.x86_64 0:0.8.2-1.fc19 will be an update
---> Package libguac-client-ssh.x86_64 0:0.8.0-3.fc19 will be updated
---> Package libguac-client-ssh.x86_64 0:0.8.2-1.fc19 will be an update
---> Package libguac-client-vnc.x86_64 0:0.7.2-3.fc19 will be updated
---> Package libguac-client-vnc.x86_64 0:0.8.2-1.fc19 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                   Arch          Version              Repository   Size
================================================================================
Installing:
 guacamole                 noarch        0.8.2-1.fc19         temp        1.2 M
     replacing  guacamole-common.noarch 0.8.0-5.fc19
     replacing  guacamole-common-js.noarch 0.7.1-3.fc19
     replacing  guacamole-ext.noarch 0.8.0-4.fc19
Updating:
 guacd                     x86_64        0.8.2-1.fc19         temp         13 k
 libguac                   x86_64        0.8.2-1.fc19         temp         30 k
 libguac-client-rdp        x86_64        0.8.2-1.fc19         temp         30 k
 libguac-client-ssh        x86_64        0.8.2-1.fc19         temp         23 k
 libguac-client-vnc        x86_64        0.8.2-1.fc19         temp        9.6 k

Transaction Summary
================================================================================
Install  1 Package
Upgrade  5 Packages

Total download size: 1.3 M
Is this ok [y/d/N]: y
Downloading packages:
No Presto metadata available for temp
--------------------------------------------------------------------------------
Total                                            77 MB/s | 1.3 MB     00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : libguac-0.8.2-1.fc19.x86_64                                 1/15 
  Updating   : libguac-client-vnc-0.8.2-1.fc19.x86_64                      2/15 
  Updating   : libguac-client-ssh-0.8.2-1.fc19.x86_64                      3/15 
  Updating   : libguac-client-rdp-0.8.2-1.fc19.x86_64                      4/15 
  Updating   : guacd-0.8.2-1.fc19.x86_64                                   5/15 
  Installing : guacamole-0.8.2-1.fc19.noarch                               6/15 
  Cleanup    : guacamole-0.8.1-2.fc19.noarch                               7/15 
  Erasing    : guacamole-ext-0.8.0-4.fc19.noarch                           8/15 
  Cleanup    : guacd-0.7.0-7.fc19.x86_64                                   9/15 
  Cleanup    : libguac-client-rdp-0.7.4-3.fc19.x86_64                     10/15 
  Cleanup    : libguac-client-ssh-0.8.0-3.fc19.x86_64                     11/15 
  Cleanup    : libguac-client-vnc-0.7.2-3.fc19.x86_64                     12/15 
  Erasing    : guacamole-common-0.8.0-5.fc19.noarch                       13/15 
  Erasing    : guacamole-common-js-0.7.1-3.fc19.noarch                    14/15 
  Cleanup    : libguac-0.7.0-5.fc19.x86_64                                15/15 
  Verifying  : libguac-0.8.2-1.fc19.x86_64                                 1/15 
  Verifying  : guacamole-0.8.2-1.fc19.noarch                               2/15 
  Verifying  : libguac-client-vnc-0.8.2-1.fc19.x86_64                      3/15 
  Verifying  : libguac-client-ssh-0.8.2-1.fc19.x86_64                      4/15 
  Verifying  : libguac-client-rdp-0.8.2-1.fc19.x86_64                      5/15 
  Verifying  : guacd-0.8.2-1.fc19.x86_64                                   6/15 
  Verifying  : libguac-client-rdp-0.7.4-3.fc19.x86_64                      7/15 
  Verifying  : guacamole-ext-0.8.0-4.fc19.noarch                           8/15 
  Verifying  : guacamole-common-js-0.7.1-3.fc19.noarch                     9/15 
  Verifying  : guacd-0.7.0-7.fc19.x86_64                                  10/15 
  Verifying  : libguac-client-ssh-0.8.0-3.fc19.x86_64                     11/15 
  Verifying  : libguac-client-vnc-0.7.2-3.fc19.x86_64                     12/15 
  Verifying  : guacamole-common-0.8.0-5.fc19.noarch                       13/15 
  Verifying  : libguac-0.7.0-5.fc19.x86_64                                14/15 
  Verifying  : guacamole-0.8.1-2.fc19.noarch                              15/15 

Installed:
  guacamole.noarch 0:0.8.2-1.fc19                                               

Updated:
  guacd.x86_64 0:0.8.2-1.fc19                                                   
  libguac.x86_64 0:0.8.2-1.fc19                                                 
  libguac-client-rdp.x86_64 0:0.8.2-1.fc19                                      
  libguac-client-ssh.x86_64 0:0.8.2-1.fc19                                      
  libguac-client-vnc.x86_64 0:0.8.2-1.fc19                                      

Replaced:
  guacamole-common.noarch 0:0.8.0-5.fc19                                        
  guacamole-common-js.noarch 0:0.7.1-3.fc19                                     
  guacamole-ext.noarch 0:0.8.0-4.fc19                                           

Complete!

The spec file contains a workaround for a nasty rpm bug; link is in the spec file.
Comment 2 Simone Caronni 2013-07-18 06:14:22 EDT
Spec file is for f18, f19 and rawhide.

Once it is succesfully imported in git, I will update it with the new packaging guidelines with the %mvn_* macros for Fedora 19+. These are not mandatory, though.
Comment 3 gil cattaneo 2013-07-21 13:43:26 EDT
surely these BR can be removed

BuildRequires:  jpackage-utils
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-plugin

are pulled in by maven-local
Comment 4 gil cattaneo 2013-07-21 13:48:53 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  Note: Maven packages do not need to (Build)Require jpackage-utils. It is
  pulled in by maven-local
  See: https://fedoraproject.org/wiki/Packaging:Java
  FIXME see comment 2
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
  SKIP 
- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in guacamole
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
  SKIP
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE.md in rpm(s)
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
  FIXME install license file e.g. MPL guacamole-ext/LICENSE


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in guacamole ,
     guacamole-javadoc
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "AGPL (v3 or later)", "MPL (v1.1) GPL (unversioned/unknown version)",
     "Unknown or generated". 39 files have unknown license.
     FIXME ADD: AGPLv3+ to license tag e.g. License:        MPLv1.1 or GPL+ or AGPLv3+
AGPL (v3 or later)
------------------
doc/guacamole-example/src/main/java/net/sourceforge/guacamole/net/example/DummyGuacamoleTunnelServlet.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/AuthenticatingHttpServlet.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/BasicFileAuthenticationProvider.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/BasicGuacamoleTunnelServlet.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/BasicLogin.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/BasicLogout.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/GuacamoleClassLoader.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/ProtocolInfo.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/ProtocolParameter.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/ProtocolParameterOption.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/WebSocketSupportLoader.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/auth/Authorization.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/auth/UserMapping.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/connections/Create.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/connections/Delete.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/connections/List.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/connections/Update.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/permissions/List.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/protocols/List.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/users/Create.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/users/Delete.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/users/List.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/crud/users/Update.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/event/SessionListenerCollection.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/properties/AuthenticationProviderProperty.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/properties/BasicGuacamoleProperties.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/properties/EventListenersProperty.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/DocumentHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/TagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/protocol/OptionTagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/protocol/ParamTagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/protocol/ProtocolTagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/user_mapping/AuthorizeTagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/user_mapping/ConnectionTagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/user_mapping/ParamTagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/user_mapping/ProtocolTagHandler.java
guacamole/src/main/java/net/sourceforge/guacamole/net/basic/xml/user_mapping/UserMappingTagHandler.java
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: guacamole-0.8.2-1.fc20.noarch.rpm
          guacamole-javadoc-0.8.2-1.fc20.noarch.rpm
guacamole.noarch: W: name-repeated-in-summary C Guacamole
guacamole.noarch: W: spelling-error %description -l en_US guacd -> guard
guacamole.noarch: W: spelling-error %description -l en_US libguac -> lingual
guacamole.noarch: W: dangling-symlink /usr/share/tomcat/webapps/guacamole/WEB-INF/lib/commons-logging.jar /usr/share/java/commons-logging.jar
guacamole.noarch: W: dangling-symlink /usr/share/tomcat/webapps/guacamole/WEB-INF/lib/slf4j-api.jar /usr/share/java/slf4j/slf4j-api.jar
guacamole.noarch: W: dangling-symlink /usr/share/tomcat/webapps/guacamole/WEB-INF/lib/slf4j-jcl.jar /usr/share/java/slf4j/slf4j-jcl.jar
guacamole.noarch: W: dangerous-command-in-%pretrans rm
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint guacamole-javadoc guacamole
guacamole.noarch: W: name-repeated-in-summary C Guacamole
guacamole.noarch: W: spelling-error %description -l en_US guacd -> guard
guacamole.noarch: W: spelling-error %description -l en_US libguac -> lingual
guacamole.noarch: W: dangling-symlink /usr/share/tomcat/webapps/guacamole/WEB-INF/lib/commons-logging.jar /usr/share/java/commons-logging.jar
guacamole.noarch: W: dangling-symlink /usr/share/tomcat/webapps/guacamole/WEB-INF/lib/slf4j-api.jar /usr/share/java/slf4j/slf4j-api.jar
guacamole.noarch: W: dangling-symlink /usr/share/tomcat/webapps/guacamole/WEB-INF/lib/slf4j-jcl.jar /usr/share/java/slf4j/slf4j-jcl.jar
guacamole.noarch: W: dangerous-command-in-%pretrans rm
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
guacamole-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

guacamole (rpmlib, GLIBC filtered):
    /bin/sh
    apache-commons-logging
    config(guacamole)
    java
    jpackage-utils
    slf4j
    tomcat
    tomcat-native



Provides
--------
guacamole-javadoc:
    guacamole-javadoc

guacamole:
    config(guacamole)
    guacamole
    guacamole-common
    guacamole-common-js
    guacamole-ext



Source checksums
----------------
http://guac-dev.org/pub/dist/source/guacamole-client-0.8.2.tar.gz :
  CHECKSUM(SHA256) this package     : 6ca5928f29232c8f70f5b6de5b19e3e1dcf64a80319ab27002e84f8f11bb92aa
  CHECKSUM(SHA256) upstream package : 6ca5928f29232c8f70f5b6de5b19e3e1dcf64a80319ab27002e84f8f11bb92aa


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-i386
Command line :/usr/bin/fedora-review -vpn guacamole-client
Comment 5 Simone Caronni 2013-07-22 02:59:05 EDT
(In reply to gil cattaneo from comment #4)
> - Packages have proper BuildRequires/Requires on jpackage-utils
>   Note: Maven packages do not need to (Build)Require jpackage-utils. It is
>   pulled in by maven-local
>   See: https://fedoraproject.org/wiki/Packaging:Java
>   FIXME see comment 2

Fixed.

> - Maven packages should use new style packaging
>   Note: If possible update your package to latest guidelines
>   See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
>   SKIP 

Will do once it's built also for Fedora 18.

> - If (and only if) the source package includes the text of the license(s) in
>   its own file, then that file, containing the text of the license(s) for the
>   package is included in %doc.
>   Note: Cannot find LICENSE.md in rpm(s)
>   See:
> http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
>   FIXME install license file e.g. MPL guacamole-ext/LICENSE

Added, I will ask upstream to put all licenses in the root project folder:

guacamole/COPYING
guacamole-common-js/LICENSE
doc/guacamole-example/COPYING
guacamole-ext/LICENSE
guacamole-common/LICENSE

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "AGPL (v3 or later)", "MPL (v1.1) GPL (unversioned/unknown version)",
>      "Unknown or generated". 39 files have unknown license.
>      FIXME ADD: AGPLv3+ to license tag e.g. License:        MPLv1.1 or GPL+
> or AGPLv3+
> AGPL (v3 or later)

Added, I was not aware that upstream changed license for this release.

> [!]: If the package is under multiple licenses, the licensing breakdown must
>      be documented in the spec.

Spec URL: http://slaanesh.fedorapeople.org/guacamole/guacamole-client.spec
SRPM URL: http://slaanesh.fedorapeople.org/guacamole/guacamole-client-0.8.2-2.fc19.src.rpm

Thank you very much for the review!
Comment 6 Simone Caronni 2013-07-22 03:01:39 EDT
New Package SCM Request
=======================
Package Name: guacamole-client
Short Description: Server-side Java components that form the Guacamole application
Owners: slaanesh gil
Branches: f18 f19
InitialCC:
Comment 7 gil cattaneo 2013-07-22 03:16:05 EDT
sorry
please, can add 
InitialCC: java-sig
and install guacamole-ext/LICENSE also in javadoc sub package?
can do this at import time
thanks
regards
Comment 8 Simone Caronni 2013-07-22 03:19:04 EDT
(In reply to gil cattaneo from comment #7)
> InitialCC: java-sig
> and install guacamole-ext/LICENSE also in javadoc sub package?

Done! Thanks.

New Package SCM Request
=======================
Package Name: guacamole-client
Short Description: Server-side Java components that form the Guacamole application
Owners: slaanesh gil
Branches: f18 f19
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2013-07-22 06:03:38 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-07-25 12:24:19 EDT
guacamole-client-0.8.2-2.fc19,guacamole-server-0.8.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/guacamole-client-0.8.2-2.fc19,guacamole-server-0.8.2-1.fc19
Comment 11 Fedora Update System 2013-07-25 12:25:01 EDT
guacamole-client-0.8.2-2.fc18,guacamole-server-0.8.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/guacamole-client-0.8.2-2.fc18,guacamole-server-0.8.2-1.fc18
Comment 12 Fedora Update System 2013-07-25 12:25:43 EDT
guacamole-server-0.8.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/guacamole-server-0.8.2-1.el6
Comment 13 Fedora Update System 2013-07-26 14:10:45 EDT
Package guacamole-server-0.8.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing guacamole-server-0.8.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10973/guacamole-server-0.8.2-1.el6
then log in and leave karma (feedback).
Comment 14 Michael Schwendt 2013-08-03 16:32:51 EDT
What has happened to

   guacamole-common-javadoc.noarch
   guacamole-ext-javadoc.noarch

? Those are not built anymore, but nothing obsoletes them.

In this review request I see no reference to those two [sub-]packages.
Comment 15 Simone Caronni 2013-08-04 04:44:35 EDT
Thanks for pointing out. I've added this to the spec file:

%package -n guacamole-javadoc
Summary:        API documentation for %{name}
Obsoletes:      guacamole-common-javadoc < 0.8.2
Obsoletes:      guacamole-ext-javadoc < 0.8.2
Provides:       guacamole-common-javadoc = %{version}-%{release}
Provides:       guacamole-ext-javadoc = %{version}-%{release}

At the moment I'm struggling on a f20 rebuild failure due to some Java changes, as soon as it is fixed I will update the updates-testing pending update.

Thanks,
--Simone
Comment 16 Fedora Update System 2013-08-15 19:29:16 EDT
guacamole-client-0.8.2-3.fc18, guacamole-server-0.8.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-08-15 19:32:25 EDT
guacamole-client-0.8.2-3.fc19, guacamole-server-0.8.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-08-16 15:51:50 EDT
guacamole-server-0.8.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.